#
# spec file for package thunar-plugin-archive
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define thunar_version 1.2.0
%define plugin_name thunar-archive-plugin

Name:           thunar-plugin-archive
Url:            http://users.xfce.org/~benny/projects/thunar-archive-plugin/
Version:        0.3.1
Release:        9.1
Source0:        http://archive.xfce.org/src/thunar-plugins/thunar-archive-plugin/0.3/%{plugin_name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM thunar-archive-plugin-0.3.0-fix-file-roller-extract-here.patch gber@opensuse.org -- Make file-roller really extract files to the current directory to match the behavior of xarchiver
Patch0:         thunar-archive-plugin-0.3.0-fix-file-roller-extract-here.patch
Summary:        Thunar Plugin Providing Integration with Archive Managers
License:        GPL-2.0+
Group:          System/GUI/XFCE
BuildRequires:  intltool
BuildRequires:  thunar-devel >= %{thunar_version}
BuildRequires:  pkgconfig(exo-1)
BuildRequires:  pkgconfig(libxfce4util-1.0)
BuildRequires:  pkgconfig(thunarx-2)
Requires:       thunar >= %{thunar_version}
Recommends:     %{name}-lang = %{version}
Provides:       %{plugin_name} = %{version}
Obsoletes:      %{plugin_name} < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Thunar Archive Plugin allows for creating and extracting archive files
through the file context menus in the Thunar file manager using an archive
manager. It provides scripting interface that can be used to adapt it to
different archive managers.

%lang_package

%prep
%setup -q -n %{plugin_name}-%{version}
%patch0 -p1

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
%make_install

# for file-roller >= 3.12
ln -s file-roller.tap %{buildroot}%{_libexecdir}/thunar-archive-plugin/org.gnome.FileRoller.tap

rm -rf %{buildroot}%{_libdir}/thunarx-2/thunar-archive-plugin.la

# remove unsupported locales
rm -rf %{buildroot}%{_datadir}/locale/{ast,kk,tl_PH,ur_PK}

%find_lang %{plugin_name} %{?no_lang_C}

%post
%icon_theme_cache_post

%postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%{_libdir}/thunarx-2/thunar-archive-plugin.so
%{_libexecdir}/thunar-archive-plugin
%{_datadir}/icons/*/*/*/tap-*.png

%files lang -f %{plugin_name}.lang

%changelog
* Sun Nov 16 2014 gber@opensuse.org
- fix file-roller symlink name and target (boo#905666)
* Wed Apr 30 2014 gber@opensuse.org
- add compatibility symlink for the desktop file from file-roller
  >= 3.12
* Sat May 11 2013 gber@opensuse.org
- update to version 0.3.1
  - fix build with --as-needed
  - automake updates
  - fix unused but set variable
  - translation updates
* Tue Mar 27 2012 gber@opensuse.org
- added source URL
* Thu Mar 22 2012 gber@opensuse.org
- updated URL
- corrected summary
- updated build dependencies
- split off -lang subpackage
* Mon Oct 10 2011 gber@opensuse.org
- added
  thunar-archive-plugin-0.3.0-fix-file-roller-extract-here.patch in
  order to make file-roller really extract files to the current
  directory to match the behavior of xarchiver
* Sat Oct  8 2011 gber@opensuse.org
- do not depend on xarchiver, it can be used with different archive
  managers
* Thu Mar 10 2011 gber@opensuse.org
- new package (split off from thunar-plugins)
